Bug 75517 - EDITING: Format > Crop Image moves the bitmap position unexpectedly
Summary: EDITING: Format > Crop Image moves the bitmap position unexpectedly
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Draw (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Draw-Images Image-Crop
  Show dependency treegraph
 
Reported: 2014-02-26 02:30 UTC by dg1727
Modified: 2019-05-14 02:59 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Document for testing, with bitmap (30.22 KB, application/vnd.oasis.opendocument.graphics)
2014-02-26 02:30 UTC, dg1727
Details

Note You need to log in before you can comment on or make changes to this bug.
Description dg1727 2014-02-26 02:30:47 UTC
Created attachment 94746 [details]
Document for testing, with bitmap

Testing was done in a US English locale as follows:  

1.   Open the attached document.  
2.   Click the bitmap to select it.  
3.   From the main menu, choose Format > Position and Size... 
4.   Notice that base point for position is upper left & position is (X==0, Y==0.54 inches).  
5.   Close the "Position and size" dialog.  
6.   From the main menu, choose Format > Crop Image... 
7.   In the Crop dialog, leave everything at default but specify 0.25" in the Bottom field.  
8.   Click OK.  
9.   Issue:  the image will move downward.  (The image height is reduced as expected.)  
10.  To verify, again choose Format > Position and Size... 
11.  Now Position Y is 0.62" but it should still be at the 0.54" that it was in step 4.  

Of course, a workaround is to Undo, use "Position and Size" to find out the Y position, redo the crop, then manually revert the Y position.  

LO 4.2.0.4 on Ubuntu.
Comment 1 tommy27 2014-07-18 18:37:33 UTC
reproducible under Win7x64 using LO 4.2.5.2
same issue with oldere LibO releases and OOO 3.3.0 and AOO 4.1.0 as well

bug is inherited from OOo
Comment 2 QA Administrators 2016-02-21 08:34:23 UTC Comment hidden (obsolete)
Comment 3 QA Administrators 2019-05-14 02:59:44 UTC
Dear dg1727,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug